## supertuxkart 0.9.3~rc1

=== debian/changelog ===
supertuxkart (0.9.3~rc1-0mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Oct 2017 21:53:00 -0700

supertuxkart (0.9.3-rc1.1~build1~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Qwerty Chouskie <asdfghrbljzmkd@outlook.com>  Sun, 29 Oct 2017 20:41:36 +0000
