=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
endif

export DEB_LDFLAGS_MAINT_APPEND=-lGLU

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog \
                          | sed -rne 's/^Version: ([0-9.]+)[-+].*$$/\1/p')
SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_clean:
	#$(MAKE) -C lib/irrlicht/source/Irrlicht clean
	
	# Remove embedded libraries used by embedded Irrlicht
	#rm -rf lib/jpeglib/
	#rm -rf lib/zlib/
	#rm -rf lib/libpng/
	
	dh_auto_clean

override_dh_auto_configure:	
	# libbluetooth-dev is only available on linux, hence build with
	# wiimote input device support only on linux
	if [ $(DEB_HOST_ARCH_OS) = linux ]; then \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE="STKRelease" \
	                     -DSTK_INSTALL_BINARY_DIR="games" \
	                     -DSTK_INSTALL_DATA_DIR="share/games/supertuxkart" \
	                     -DBUILD_RECORDER=off; \
	else \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE="STKRelease" \
	                     -DSTK_INSTALL_BINARY_DIR="games" \
	                     -DSTK_INSTALL_DATA_DIR="share/games/supertuxkart" \
	                     -DBUILD_RECORDER=off \
	                     -DUSE_WIIUSE=OFF; \
	fi

override_dh_auto_build:
	# Generate manual page	 
	docbook-to-man debian/supertuxkart.sgml > debian/supertuxkart.6
	
	dh_auto_build

override_dh_install:
	# cmake installs some unneeded autotools-related files as well
	find $(CURDIR)/debian/tmp \( -iname "Makefile.am" -o -iname \
	"Makefile.in" \) -delete
	
	# Remove unneeded (developer) scripts in data directory
	find $(CURDIR)/debian/tmp \( -iname "run_me.sh" -o -iname \
	"optimize_data.sh" -o -iname "check.sh" -o -iname \
	"pull_from_transifex.sh" \) -delete
	
	# Install hi-res icon into /usr/share/pixmaps. LP: #937976
	install -m 644 $(CURDIR)/debian/tmp/usr/share/games/supertuxkart/data/gui/karts.png \
	$(CURDIR)/debian/tmp/usr/share/pixmaps/supertuxkart.png
	#mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/48x48/apps
	#install -m 644 $(CURDIR)/debian/tmp/usr/share/pixmaps/supertuxkart_48.png \
	#$(CURDIR)/debian/tmp/usr/share/icons/hicolor/48x48/apps/supertuxkart.png
	#mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps
	#install -m 644 $(CURDIR)/debian/tmp/usr/share/pixmaps/supertuxkart_128.png \
	#$(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps/supertuxkart.png
	
	dh_install --list-missing -Xgitignore -Xgitattributes

override_dh_strip:
	dh_strip --dbg-package=supertuxkart-dbg

get-orig-source:
	mkdir -p ../repack
	uscan --force-download --destdir ../repack --download-version $(DEB_UPSTREAM_VERSION)
	( \
		cd ../repack ;\
		tar -xJf supertuxkart-$(DEB_UPSTREAM_VERSION)-src.tar.xz ;\
		cd supertuxkart-$(DEB_UPSTREAM_VERSION) ;\
		cd .. ;\
		tar --mtime="$(SOURCE_DATE)" -cJf supertuxkart_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.xz supertuxkart-$(DEB_UPSTREAM_VERSION) ;\
		mv supertuxkart_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.xz .. ;\
	)
	rm -rf ../repack
